<?php 
$xvalor = str_replace('  ',' ',$_POST['valo']);
$xvalor = str_replace('  ',' ',$xvalor);
$xvalor = str_replace('  ',' ',$xvalor);
$xwhere = $_POST['tabl'].'_buscar like "%'.str_replace(' ', '%" and '.$_POST['tabl'].'_buscar like "%', $xvalor).'%"';
//$xvalor=$_POST['valo'];

$xfound=0;	
//$sql_busca='select * from '.$_POST['tabl'].'0b where '.$xwhere.' order by '.$_POST['tabl'].'_descri ';
$codigo=$_POST['tabl'].'_codigo';
$descri=$_POST['tabl'].'_descri';
require('../cfg/res.php');
mysql_query("SET NAMES 'utf8'");

$sql_busca='select * from '.$_POST['tabl'].'0b limit 1';
$res_busca=mysql_query($sql_busca,$link_vcrx);

if(!mysql_error($link_vcrx))
{
	while(strlen($xvalor)>=1 && $xfound==0)
	{
// 		$sql_busca='select * from '.$_POST['tabl'].'0b where '.$_POST['tabl'].'_buscar like "%'.str_replace(' ', '%" and '.$_POST['tabl'].'_buscar like "%', $xvalor).'%"  order by '.$_POST['tabl'].'_descri ';
		$sql_busca='select * from '.$_POST['tabl'].'0b where '.$_POST['tabl'].'_buscar like "%'.str_replace(' ', '%" and '.$_POST['tabl'].'_buscar like "%', $xvalor).'%"  order by '.$_POST['tabl'].'_codigo ';
		$res_busca=mysql_query($sql_busca,$link_vcrx);
// die();
		if(mysql_num_rows($res_busca)!=0)
		{
		$xfound=1;
		echo mysql_result($res_busca,0,$codigo).'/'.mysql_result($res_busca,0,$descri);
// 		echo '***'.$xvalor;
		}
		$xvalor=substr($xvalor,0,-1);
	}
//	else
//	{echo '0';}
}
else
{
	while(strlen($xvalor)>=1 && $xfound==0)
	{
		$sql_busca='select * from '.$_POST['tabl'].'0 where '.$_POST['tabl'].'_codigo like "'.$xvalor.'%" or '.$_POST['tabl'].'_descri like "'.$xvalor.'%"';
		$res_busca=mysql_query($sql_busca,$link_vcrx);

		if(mysql_num_rows($res_busca)!=0)
		{
		$xfound=1;
		echo mysql_result($res_busca,0,$codigo).'/'.mysql_result($res_busca,0,$descri);
		}
		$xvalor=substr($xvalor,0,-1);
	}
	//else
	//{echo '0';}
}
?>